%define name simple-scan-legacy
%define realname simple-scan
%define version  2.32.0.2
%define release %mkrel 3

Summary:  Simple scanning utility
Name:     %{name}
Version:  %{version}
Release:  %{release}
Group:    Graphical desktop/GNOME
License:  GPLv3+
URL:      https://launchpad.net/simple-scan
Source0:  http://launchpad.net/simple-scan/trunk/%version/+download/%{realname}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: intltool
BuildRequires: GConf2-devel
BuildRequires: gtk2-devel
BuildRequires: libgudev-devel
BuildRequires: sane-devel
BuildRequires: gnome-doc-utils 
Requires: gnome-icon-theme
Requires: xdg-utils
Requires: glib2.0-common
Conflicts: simple-scan
Provides: scanner-gui

%description
Simple Scan is an easy-to-use application, designed to let users connect their
scanner and quickly have the image/document in an appropriate format.

This is an older version which may work with older hardware. 


%prep
%setup -q -n %realname-%version

%build

%configure2_5x --disable-schemas-install

%make

%install
%makeinstall_std
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%define schemas %name

%clean
rm -rf %{buildroot}

%post
%post_install_gconf_schemas %{schemas}
%update_menus


%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%clean_menus

%files 
%defattr(-,root,root,-)
%doc AUTHORS README COPYING ChangeLog
%{_mandir}/man1/%{realname}.1.*
%{_sysconfdir}/gconf/schemas/%{realname}.schemas
%{_bindir}/%{realname}
%{_datadir}/applications/%{realname}.desktop
%{_datadir}/%{realname}/
%{_datadir}/locale/*/LC_MESSAGES/*
%{_datadir}/gnome/help/simple-scan


%changelog
* Mon Dec 02 2013 billybot <billybot> 2.32.0.2-3pclos2013
- rebuild against current libs

* Wed Sep 18 2013 billybot <billybot> 2.32.0.2-2pclos2013
- remove yelp dependency since help is broken in mate

* Mon Sep 16 2013 billybot <billybot> 2.32.0.2-1pclos2013
- add back to repo for old hardware

* Sun Apr 24 2011 Texstar <texstar at gmail.com> 2.32.0.2-1pclos2011
- 2.32.0.2

* Fri Apr 01 2011 Texstar <texstar at gmail.com> 2.32.0.1-1pclos2011
- 2.32.0.1

* Sun May 09 2010 slick50 <lxgator@gmail.com> 2.31.1-1pclos2010
- 2.31.1

* Wed Apr 07 2010 pcserver <pcserver at hushmail.com> 0.9.9-1pclos2010
- import into pclos based on specfile mdv

